
GammaLib - Action #1674

Restrict Monte Carlo simulations in GModelSpatialDiffuseConst to simulation cone

02/17/2016 01:34 AM - Knödlseder Jürgen

Status: Closed Start date: 02/17/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

So far the GModelSpatialDiffuseConst class generates events for all over the sky, and to be more efficient, the simulation region

should be restricted to the simulation cone.

History

#1 - 02/18/2016 05:25 PM - Knödlseder Jürgen

- File prefactor.png added

- File index.png added

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.1.0

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

Implemented restriction to the simulation cone. This reduces the ctools science verification from 12 hours to about 10 minutes.

Attached the pull distribution evolution plots for the pre factor and index of the spectral model generated using the ctools science verification script.

Things look ok.

Merged into devel.

#2 - 02/18/2016 05:26 PM - Knödlseder Jürgen

- File deleted (prefactor.png)

#3 - 02/18/2016 05:27 PM - Knödlseder Jürgen

- File prefactor.png added

- File index.png added

- Estimated time set to 0.00

#4 - 02/18/2016 05:27 PM - Knödlseder Jürgen

- File deleted (index.png)
prefactor.png 44.4 KB 02/18/2016 Knödlseder Jürgen

index.png 37.3 KB 02/18/2016 Knödlseder Jürgen

Powered by TCPDF (www.tcpdf.org)

04/24/2024 2/2

http://www.tcpdf.org

